Skip to main content
POST
/
v3
/
model-factory
Generate model from the given data sample
curl --request POST \
  --url https://{host}/v3/model-factory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "spec": {
    "schema_version": 1,
    "inputs": [
      "<string>"
    ],
    "outputs": [
      "<string>"
    ],
    "targets": [
      "<string>"
    ],
    "decisions": [
      "<string>"
    ],
    "metadata": [
      "<string>"
    ],
    "custom_features": [
      {
        "name": "<string>",
        "columns": [
          "<string>"
        ],
        "centroids": [
          123
        ],
        "tf_idf": [
          {}
        ],
        "n_clusters": 123,
        "monitor_components": true
      }
    ]
  },
  "max_cardinality": 1000,
  "sample_size": 10000
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "schema": {
      "schema_version": 1,
      "columns": [
        {
          "name": "<string>",
          "id": "<string>",
          "min": 123,
          "max": 123,
          "categories": [
            "<string>"
          ],
          "bins": [
            123
          ],
          "replace_with_nulls": [
            "<string>"
          ],
          "n_dimensions": 123
        }
      ]
    },
    "spec": {
      "schema_version": 1,
      "inputs": [
        "<string>"
      ],
      "outputs": [
        "<string>"
      ],
      "targets": [
        "<string>"
      ],
      "decisions": [
        "<string>"
      ],
      "metadata": [
        "<string>"
      ],
      "custom_features": [
        {
          "name": "<string>",
          "columns": [
            "<string>"
          ],
          "centroids": [
            123
          ],
          "tf_idf": [
            {}
          ],
          "n_clusters": 123,
          "monitor_components": true
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
file_id
string<uuid>
required
spec
object
max_cardinality
integer
default:1000
Required range: 1 <= x <= 100000
sample_size
integer
default:10000
Required range: 10000 <= x <= 100000

Response

Generated model

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object